Description

"time_entry_hours input" should support Regular expression. eg:set time_entry_hours value less than 8 or other conditions.

History

#1 - 2010-03-05 05:42 - li wei

Perhaps the feature should be a part of #4316

#2 - 2010-03-07 10:44 - Jean-Philippe Lang

- Subject changed from "time_entry_hours inputbox" should support Regular expression to Validate time entry hours based on a configurable regular

expression

- Assignee deleted (Eric Davis)

#3 - 2010-03-18 15:52 - li wei

li wei wrote:

"time_entry_hours input" should support Regular expression. eg:set time_entry_hours value less than 8 or other conditions.

 "app/models/time_entry.rb" replace 'hours >= 1000' by 'hours >= 8'

  def validate

    errors.add :hours, :invalid if hours && (hours < 0 || hours > 8) ＃ replace hours >= 1000 by hours >= 8

    errors.add :project_id, :invalid if project.nil?

    errors.add :issue_id, :invalid if (issue_id && !issue) || (issue && project!=issue.project)

  end
